﻿Imports SoftArtisans.OfficeWriter.ExcelWriter

Partial Public Class ExcelApplication_HelloWorld
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        ErrorLabel.Visible = False
    End Sub

    Protected Sub RunHelloWorld_Click(ByVal sender As Object, ByVal e As EventArgs) Handles RunHelloWorld.Click
        Try

            'Instantiate the ExcelApplication object
            'The ExcelApplication object works like a file generation
            'engine. Workbooks are created, opened, and saved
            'from the ExcelApplication object.
            Dim XLAPP As New ExcelApplication()

            'Create a new workbook
            'ExcelWriter automatically creates the first worksheet
            'in a new workbook. 

            Dim WB As Workbook = XLAPP.Create(ExcelApplication.FileFormat.Xlsx)

            'Access the first worksheet
            Dim WKST As Worksheet = WB.Worksheets(0)

            'Change the value in a cell
            Dim value As String = DataValueBox.Text.Trim()
            WKST.Cells(0, 0).Value = value

            'Save the workbook
            'This is streaming the workbook back as an attachment.
            XLAPP.Save(WB, Page.Response, "Output.xlsx", False)

        Catch ex As Exception

            ErrorLabel.Visible = True

            If ex.Message.Contains("General license key exception") Then
                ErrorLabel.Text = "OfficeWriter does not appear to be" & _
                    " installed on this machine. If you have not " & _
                    "purchased OfficeWriter, you can download the " & _
                    "evaluation version here: " & _
                    "http://www.officewriter.com/officewriter-free-evaluation.aspx"
            Else
                ErrorLabel.Text = ex.Message

            End If
        End Try
    End Sub
End Class