﻿Imports SoftArtisans.OfficeWriter.ExcelWriter

Partial Public Class ExcelTemplate_HelloWorld
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        ErrorLabel.Visible = False
    End Sub

    Protected Sub RunHelloWorld_Click(ByVal sender As Object, ByVal e As EventArgs) Handles RunHelloWorld.Click

        Try
            'Instantiate the ExcelTemplate object
            Dim XLT As New ExcelTemplate()

            'Open the template file
            XLT.Open(Page.MapPath("templates\Hello World.xlsx"))

            'DataBindingProperties can be used to determine how the data 
            'is imported. We're not going to use the properties in this 
            'example, but it's required for binding data to the template

            Dim DataProps As DataBindingProperties = XLT.CreateDataBindingProperties()

            'Get the data
            Dim value As String = DataValueBox.Text.Trim()

            'BindCellData is used to bind a variable or 1-dimensional 
            'array to a data marker. The data marker in the template file 
            'is %%=$DataValue 
            XLT.BindCellData(value, "DataValue", DataProps)

            'Process handles inserting the data into the file
            XLT.Process()

            'One of the output options is to stream directly to the user 
            'as an attachment. The'False' parameter means it should be 
            'sent as an attachment, rather than inline
            XLT.Save(Page.Response, "Output.xlsx", False)

        Catch ex As Exception

            ErrorLabel.Visible = True

            If ex.Message.Contains("General license key exception") Then
                ErrorLabel.Text = "OfficeWriter does not appear to be" & _
                    " installed on this machine. If you have not " & _
                    "purchased OfficeWriter, you can download the " & _
                    "evaluation version here: " & _
                    "http://www.officewriter.com/officewriter-free-evaluation.aspx"
            Else
                ErrorLabel.Text = ex.Message
            End If

        End Try

    End Sub

End Class